接口参考裸金属
修改裸金属主机
PUT /api/v1/baremetal/nodes/{node_id},updateBaremetalNode 的请求参数和响应结构。
PUT /api/v1/baremetal/nodes/{node_id}
| 项目 | 内容 |
|---|---|
| 操作标识 | updateBaremetalNode |
| 认证 | 登录会话 Cookie |
会话写请求需要合法的 Origin 和与当前 Cookie 绑定的 X-CSRF-Token。登录成功后应重新获取 CSRF 令牌。具体权限由目标资源归属和当前授权决定,见认证约定。
请求参数
| 名称 | 位置 | 必填 | 类型 | 说明与约束 |
|---|---|---|---|---|
| node_id | path | 是 | string | 格式:uuid |
请求体
请求体必填。
内容类型:application/json。
| 字段 | 类型 | 必填 | 说明与约束 |
|---|---|---|---|
| name | string | 是 | 最长 64 |
| availability_zone_id | string | 是 | 格式:uuid |
| cluster_id | string | 否 | — |
| bmc_address | string | 是 | — |
| bmc_protocol | string | 是 | 可选值:"redfish"、"ipmi" |
| bmc_username | string | 是 | — |
| bmc_password | string | 否 | 只写字段 |
| bmc_fingerprint | string | 否 | — |
| system_id | string | 否 | — |
| boot_mode | string | 是 | 可选值:"uefi"、"bios" |
| resource_class | string | 否 | — |
| properties | MetalHardware | 否 | — |
| root_device | MetalRootDevice | 否 | — |
| ports | MetalPort[] | 是 | — |
| tags | string[] | 否 | — |
| description | string | 否 | — |
| bmc_cipher_suite | integer | 否 | 可选值:3、17;默认 17 |
完整请求结构(含引用定义)
{
"$ref": "#/$defs/MetalNodeInput",
"$defs": {
"MetalNodeInput": {
"type": "object",
"properties": {
"name": {
"type": "string",
"maxLength": 64
},
"availability_zone_id": {
"type": "string",
"format": "uuid"
},
"cluster_id": {
"type": "string"
},
"bmc_address": {
"type": "string"
},
"bmc_protocol": {
"type": "string",
"enum": [
"redfish",
"ipmi"
]
},
"bmc_username": {
"type": "string"
},
"bmc_password": {
"type": "string",
"writeOnly": true
},
"bmc_fingerprint": {
"type": "string"
},
"system_id": {
"type": "string"
},
"boot_mode": {
"type": "string",
"enum": [
"uefi",
"bios"
]
},
"resource_class": {
"type": "string"
},
"properties": {
"$ref": "#/$defs/MetalHardware"
},
"root_device": {
"$ref": "#/$defs/MetalRootDevice"
},
"ports": {
"type": "array",
"items": {
"$ref": "#/$defs/MetalPort"
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"description": {
"type": "string"
},
"bmc_cipher_suite": {
"type": "integer",
"enum": [
3,
17
],
"default": 17
}
},
"required": [
"name",
"availability_zone_id",
"bmc_address",
"bmc_protocol",
"bmc_username",
"boot_mode",
"ports"
],
"additionalProperties": false
},
"MetalHardware": {
"type": "object",
"properties": {
"architecture": {
"type": "string"
},
"vcpus": {
"type": "integer"
},
"memory_mib": {
"type": "integer"
},
"model": {
"type": "string"
},
"serial": {
"type": "string"
},
"system_uuid": {
"type": "string"
},
"disks": {
"type": "array",
"items": {
"$ref": "#/$defs/MetalDisk"
}
}
},
"required": [
"architecture",
"vcpus",
"memory_mib",
"model",
"serial",
"system_uuid",
"disks"
],
"additionalProperties": false
},
"MetalDisk": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"serial": {
"type": "string"
},
"wwn": {
"type": "string"
},
"size_bytes": {
"type": "integer"
},
"model": {
"type": "string"
}
},
"required": [
"name",
"serial",
"wwn",
"size_bytes",
"model"
],
"additionalProperties": false
},
"MetalRootDevice": {
"type": "object",
"properties": {
"serial": {
"type": "string"
},
"wwn": {
"type": "string"
}
},
"required": [
"serial",
"wwn"
],
"additionalProperties": false
},
"MetalPort": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"name": {
"type": "string"
},
"mac": {
"type": "string"
},
"pxe_enabled": {
"type": "boolean"
},
"switch_port": {
"type": "string"
},
"vlan_id": {
"type": "integer"
}
},
"required": [
"name",
"mac",
"pxe_enabled",
"switch_port"
],
"additionalProperties": false
}
}
}响应
| HTTP 状态 | 含义 |
|---|---|
| 200 | 成功 |
| 400 | 请求失败 |
| 401 | 请求失败 |
| 403 | 请求失败 |
| 404 | 请求失败 |
| 409 | 请求失败 |
| 503 | 请求失败 |
| default | 请求失败 |
200 · application/json 响应结构
| 字段 | 类型 | 必填 | 说明与约束 |
|---|---|---|---|
| data | MetalNode | 是 | — |
| request_id | string | 是 | — |
{
"$ref": "#/$defs/MetalNodeResponse",
"$defs": {
"MetalNodeResponse": {
"type": "object",
"properties": {
"data": {
"$ref": "#/$defs/MetalNode"
},
"request_id": {
"type": "string"
}
},
"required": [
"data",
"request_id"
],
"additionalProperties": false
},
"MetalNode": {
"type": "object",
"properties": {
"name": {
"type": "string",
"maxLength": 64
},
"availability_zone_id": {
"type": "string",
"format": "uuid"
},
"cluster_id": {
"type": "string"
},
"bmc_address": {
"type": "string"
},
"bmc_protocol": {
"type": "string",
"enum": [
"redfish",
"ipmi"
]
},
"bmc_username": {
"type": "string"
},
"bmc_fingerprint": {
"type": "string"
},
"system_id": {
"type": "string"
},
"boot_mode": {
"type": "string",
"enum": [
"uefi",
"bios"
]
},
"resource_class": {
"type": "string"
},
"properties": {
"$ref": "#/$defs/MetalHardware"
},
"root_device": {
"$ref": "#/$defs/MetalRootDevice"
},
"ports": {
"type": "array",
"items": {
"$ref": "#/$defs/MetalPort"
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"description": {
"type": "string"
},
"id": {
"type": "string",
"format": "uuid"
},
"state": {
"type": "string"
},
"power_state": {
"type": "string",
"enum": [
"on",
"off",
"unknown"
]
},
"last_error": {
"type": "string"
},
"last_seen": {
"type": "string",
"format": "date-time",
"nullable": true
},
"created_at": {
"type": "string",
"format": "date-time"
},
"updated_at": {
"type": "string",
"format": "date-time"
},
"tenant_id": {
"type": "string"
},
"tenant_name": {
"type": "string"
},
"allocation_id": {
"type": "string"
},
"availability_zone_name": {
"type": "string"
},
"region_id": {
"type": "string",
"format": "uuid"
},
"credential_configured": {
"type": "boolean"
},
"bmc_cipher_suite": {
"type": "integer",
"enum": [
3,
17
],
"default": 17
}
},
"required": [
"name",
"availability_zone_id",
"bmc_address",
"bmc_protocol",
"bmc_username",
"boot_mode",
"resource_class",
"properties",
"root_device",
"ports",
"tags",
"description",
"id",
"state",
"power_state",
"last_error",
"last_seen",
"created_at",
"updated_at",
"availability_zone_name",
"region_id",
"credential_configured"
],
"additionalProperties": false
},
"MetalHardware": {
"type": "object",
"properties": {
"architecture": {
"type": "string"
},
"vcpus": {
"type": "integer"
},
"memory_mib": {
"type": "integer"
},
"model": {
"type": "string"
},
"serial": {
"type": "string"
},
"system_uuid": {
"type": "string"
},
"disks": {
"type": "array",
"items": {
"$ref": "#/$defs/MetalDisk"
}
}
},
"required": [
"architecture",
"vcpus",
"memory_mib",
"model",
"serial",
"system_uuid",
"disks"
],
"additionalProperties": false
},
"MetalDisk": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"serial": {
"type": "string"
},
"wwn": {
"type": "string"
},
"size_bytes": {
"type": "integer"
},
"model": {
"type": "string"
}
},
"required": [
"name",
"serial",
"wwn",
"size_bytes",
"model"
],
"additionalProperties": false
},
"MetalRootDevice": {
"type": "object",
"properties": {
"serial": {
"type": "string"
},
"wwn": {
"type": "string"
}
},
"required": [
"serial",
"wwn"
],
"additionalProperties": false
},
"MetalPort": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"name": {
"type": "string"
},
"mac": {
"type": "string"
},
"pxe_enabled": {
"type": "boolean"
},
"switch_port": {
"type": "string"
},
"vlan_id": {
"type": "integer"
}
},
"required": [
"name",
"mac",
"pxe_enabled",
"switch_port"
],
"additionalProperties": false
}
}
}400 / 401 / 403 / 404 / 409 / 503 / default · application/json 响应结构
{
"$ref": "#/$defs/ErrorResponse",
"$defs": {
"ErrorResponse": {
"type": "object",
"additionalProperties": false,
"properties": {
"error": {
"$ref": "#/$defs/ErrorDetail"
},
"request_id": {
"type": "string"
}
},
"required": [
"error",
"request_id"
]
},
"ErrorDetail": {
"type": "object",
"additionalProperties": false,
"properties": {
"code": {
"type": "string",
"enum": [
"NOT_IMPLEMENTED",
"NOT_FOUND",
"AUTH_REQUIRED",
"FORBIDDEN",
"VALIDATION_FAILED",
"CONFLICT",
"SERVICE_UNAVAILABLE",
"INTERNAL_ERROR",
"RATE_LIMITED"
]
},
"message": {
"type": "string"
},
"retryable": {
"type": "boolean"
},
"fields": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
}
},
"required": [
"code",
"message",
"retryable"
]
}
}
}响应中的 request_id 用于排查请求;异步操作以任务最终状态为准。参阅调用约定、异步任务和错误处理。
本页由版本化 OpenAPI 契约生成。通用资源响应允许的任意字段以运行服务为准,不据此推断尚未定义的字段。
